OnigErrorInfo Struct Reference

`#include <oniguruma.h>`

## Data Fields

OnigEncoding | enc
OnigUChar * | par
OnigUChar * | par_end

## Detailed Description

Definition at line 602 of file oniguruma.h.

## Field Documentation

OnigEncoding OnigErrorInfo::enc

Definition at line 603 of file oniguruma.h.

Referenced by onig_compile(), and onig_error_code_to_str().

OnigUChar* OnigErrorInfo::par

Definition at line 604 of file oniguruma.h.

Referenced by onig_compile(), and onig_error_code_to_str().

OnigUChar* OnigErrorInfo::par_end

Definition at line 605 of file oniguruma.h.

Referenced by onig_compile(), and onig_error_code_to_str().

The documentation for this struct was generated from the following file:

- include/ruby/oniguruma.h